<?php 
//导航程序；
//$_GET[keyword]来源于请求页面的GET请求；
//$_SESSION[rightId]变量为权限ID值；
//$_SESSION[jc_tbl]变量为需要操作的表名称；
//下面代码switch用于跳过jc_a.php页面新增操作；
session_start();
switch($_GET[keyword]){
		case "现金流量":
		    $_SESSION[rightId]=1;
			$_SESSION[jc_tbl]="jc_xjll";
			break;
		case "客户":
		    $_SESSION[rightId]=2;
			$_SESSION[jc_tbl]="jc_kh";
			break;
		case "个人":
		    $_SESSION[rightId]=3;
			$_SESSION[jc_tbl]="jc_gr";
			break;
		case "存货":
		    $_SESSION[rightId]=4;
			$_SESSION[jc_tbl]="jc_ch";
			break;
		case "供应商":
		    $_SESSION[rightId]=5;
			$_SESSION[jc_tbl]="jc_gys";
			break;
		case "部门":
		    $_SESSION[rightId]=6;
			$_SESSION[jc_tbl]="jc_bm";
			break;
		case "核算项目":
		    $_SESSION[rightId]=7;
			$_SESSION[jc_tbl]="jc_xm";
			break;
		default://get取值不正确；
		    echo '<div align="center">get取值不正确</div>';
			exit();
			break;
	}
	
//****************************************请求权限****************************************
require("locked.php");                                                                 //*
setlocked($_SESSION[rightId]);                                                         //*
//****************************************************************************************
?>
<html>
<head>
<meta charset="utf-8">
<title>新增资料</title>
<script language="javascript" type="text/javascript" src="myJs.js"></script>
<link rel="stylesheet" href="myCss.css" type="text/css" />
<script language="javascript" type="text/javascript">
<!--
function checkForm(){
	if (form1.id.value==""){
	    alert("ID不能为空！");
		form1.id.focus();
		return false;
	}
	
	if (isNaN(form1.id.value)){
	    alert("ID必须为数字！");
		form1.id.focus();
		return false;
	}
	
	if((form1.id.value).substring(0,1)==0){
		alert("ID起始不能为零！");
		form1.id.focus();
		return false;
	}
	
	if (form1.name.value==""){
	    alert("名称不能为空！");
		form1.name.focus();
		return false;
	}
	
	//会计科目，基础资料名称文字禁止出现的数据 arrban 列举的字符；
	for(var i=0;i<arrban.length;i++){
		if((form1.name.value).indexOf(arrban[i])!=-1){
			alert("名称字符不能出现："+arrban[i]);
			form1.name.focus();
			return false;
		}
	}
	
	form1.submit();
}
//-->
</script>
</head>

<body>
<form action="jc_InsertSubmit.php" method="post" name="form1">
<table>
<td colspan="2" align="center"><font size="+3"><?php echo $_GET[keyword] ?></font></td>
<tr>
<td>ID</td><td><input name="id" type="text" style="width:450px" /></td>
</tr>
<tr>
<td>名称</td><td><input name="name" type="text" style="width:450px" /></td>
</tr>
<tr>
<td colspan="2" align="center"><input name="insert" type="button" onClick="checkForm()" value="添加" /></td>
</tr>
</table>
</form>
</body>
</html>